<?php

namespace App\Livewire\Units;

use App\Models\Unit;
use Livewire\Attributes\Layout;
use Livewire\Component;

#[Layout('layouts.dashboard')]
class Show extends Component
{
    public Unit $unit;

    public function mount(Unit $unit): void
    {
        $this->unit = $unit->load('products');
    }

    public function render(): \Illuminate\Contracts\View\View
    {
        return view('livewire.units.show');
    }
}
